summaryrefslogtreecommitdiff
path: root/libre-testing/systemd/udev-hook
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2019-01-18 19:19:46 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2019-01-18 19:19:46 -0500
commit1679eef96eb3a5b5446d9be586c3070ed750739a (patch)
tree2d0c13a4f536e57923b162dc693101339690dc80 /libre-testing/systemd/udev-hook
parent7262681e044dffa25820ea90c657ffac266c254c (diff)
[systemd]: rebuild x86_64 in libre-testing
Diffstat (limited to 'libre-testing/systemd/udev-hook')
-rw-r--r--libre-testing/systemd/udev-hook18
1 files changed, 18 insertions, 0 deletions
diff --git a/libre-testing/systemd/udev-hook b/libre-testing/systemd/udev-hook
new file mode 100644
index 000000000..61d853293
--- /dev/null
+++ b/libre-testing/systemd/udev-hook
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+
+udevd_live() {
+ if [ ! -d /run/udev ]; then
+ echo >&2 " Skipped: Device manager is not running."
+ exit 0
+ fi
+}
+
+case $1 in
+ hwdb) /usr/bin/systemd-hwdb --usr update ;;
+
+ udev-reload) udevd_live; /usr/bin/udevadm control --reload ;;
+
+ *) echo >&2 " Invalid operation '$1'"; exit 1 ;;
+esac
+
+exit 0